CVE-2001-0072
CVSS5.0
发布时间 :2001-02-12 00:00:00
修订时间 :2008-09-05 16:23:11
NMCO    

[原文]gpg (aka GnuPG) 1.0.4 and other versions imports both public and private keys from public key servers without notifying the user about the private keys, which could allow an attacker to break the web of trust.


[CNNVD]gpg漏洞(CNNVD-200102-016)

        gpg(也称为GnuPG) 1.0.4及其他版本不通知用户个人密钥从公共密钥中引入公共和个人密钥。攻击者可以利用该漏洞破坏web信任。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnu:privacy_guard:1.0.2GNU GNU Privacy Guard 1.0.2
cpe:/a:gnu:privacy_guard:1.0.3b
cpe:/a:gnu:privacy_guard:1.0.3GNU GNU Privacy Guard 1.0.3
cpe:/a:gnu:privacy_guard:1.0GNU GNU Privacy Guard 1.0
cpe:/a:gnu:privacy_guard:1.0.1GNU GNU Privacy Guard 1.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0072
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0072
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200102-016
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2153
(VENDOR_ADVISORY)  BID  2153
http://xforce.iss.net/static/5803.php
(UNKNOWN)  XF  gnupg-reveal-private
http://www.securityfocus.com/archive/1/152197
(UNKNOWN)  BUGTRAQ  20001220 Trustix Security Advisory - gnupg, ftpd-BSD
http://www.redhat.com/support/errata/RHSA-2000-131.html
(UNKNOWN)  REDHAT  RHSA-2000:131
http://www.osvdb.org/1702
(UNKNOWN)  OSVDB  1702
http://www.linux-mandrake.com/en/updates/2000/MDKSA-2000-087.php3
(UNKNOWN)  MANDRAKE  MDKSA-2000-087
http://www.debian.org/security/2000/20001225b
(UNKNOWN)  DEBIAN  DSA-010-1
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000368
(UNKNOWN)  CONECTIVA  CLA-2000:368

- 漏洞信息

gpg漏洞
中危 未知
2001-02-12 00:00:00 2005-05-02 00:00:00
远程  
        gpg(也称为GnuPG) 1.0.4及其他版本不通知用户个人密钥从公共密钥中引入公共和个人密钥。攻击者可以利用该漏洞破坏web信任。

- 公告与补丁

        

- 漏洞信息

1702
GnuPG Private Key Silent Import
Local Access Required Cryptographic
Loss of Integrity
Exploit Public

- 漏洞描述

GnuPG contains a flaw that may allow a malicious user to compromise the web of trust. The issue is triggered when the user retrieves keys from a public keyserver. GnuPG will import private keys as well as public ones, and will not warn the user about the import of private keys. An attacker can upload a private key to the keyserver as well as a public one, with malicious intent. Since private keys are implicitly trusted, it is possible that the flaw may allow a change in the trust relationships of the web of trust, resulting in a loss of integrity.

- 时间线

2000-12-20 Unknow
2000-12-20 Unknow

- 解决方案

Upgrade to version 1.0.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站